/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GIMDB_H__
#define __GIMDB_H__

#include <gtk/gtk.h>

#include "browsers.h"
#include "imdb.h"

typedef struct _GImDB GImDB;
typedef struct _GImDBImageMap GImDBImageMap;
typedef enum {
    GIMDB_DIRECTORY_TREE,
    GIMDB_PROPERTY_TREE
} GImDBTreeType;


struct _GImDB {
    ImDB *imdb;

    ImageBrowser *image_browser;

    GtkWidget *tree;
    GtkCTreeNode *tree_root;
    GImDBTreeType tree_type;

    GList *image_map;
};


/* map a directory id or a property id to a list of images */
struct _GImDBImageMap {
    guint id;
    GList *images;
};


GImDB*     gimdb_load( char *filename);
GImDB*     gimdb_create( char *filename);
void       gimdb_close( GImDB *gimdb);

/* appends images which are in the same directory */
void       gimdb_append_images( GImDB *gimdb, gchar *path, GList *images);

#endif /* __GIMDB_H__ */
