/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GTK_COMPAT_H__
#define __GTK_COMPAT_H__

#include <glibconfig.h>
#include <glib.h>
#include <gtk/gtkfeatures.h>

#ifdef GTK_HAVE_FEATURES_1_1_2
#define gtk_ctree_insert( tree, parent, sibling, text, spacing, po, mo, pc, mc, leaf, expanded) \
       gtk_ctree_insert_node( tree, parent, sibling, text, spacing, po, mo, pc, mc, leaf, expanded)
#define gtk_ctree_remove( tree, node) gtk_ctree_remove_node( tree, node)
#define gtk_ctree_set_row_data( tree, node, data) gtk_ctree_node_set_row_data( tree, node, data)
#define gtk_ctree_get_row_data( tree, node) gtk_ctree_node_get_row_data( tree, node)
#endif

#if ((GLIB_MAJOR_VERSION == 1) && (GLIB_MINOR_VERSION == 1) && (GLIB_MICRO_VERSION < 3))
#define g_array_new_compat( t) g_array_new( FALSE)
#define g_array_append_val_compat( a, t, v) g_rarray_append(a, (gpointer) &v, sizeof (t))
#else
#define g_array_new_compat( t) g_array_new( FALSE, FALSE, sizeof( t))
#define g_array_append_val_compat( a, t, v) g_array_append_vals(a, &v, 1)
#endif


#endif /* __GTK_COMPAT_H__ */
