/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __IMAGE_UBOX__
#define __IMAGE_UBOX__

#include "ubox.h"
#include "image.h"

typedef enum {
    IMAGE_UBOX_PREVIEW1,
    IMAGE_UBOX_PREVIEW2,
    IMAGE_UBOX_PREVIEW3
} ImageUBoxType;

GtkWidget*       image_ubox_new( gint preview_width,
				 gint preview_height);


void             image_ubox_set_type( UBox *ubox, 
				      ImageUBoxType type);
UBoxCell*        image_ubox_append( UBox *ubox,
				    Image *image,
				    ImageProgressFunc func,
				    gpointer data);

Image*           image_ubox_get_image( UBox *ubox,
				       gint cell_no);

void             image_ubox_clear( UBox *ubox, gint free_preview);


#endif /* __IMAGE_UBOX__ */
