/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __IMAGE_VIEWER_H__
#define __IMAGE_VIEWER_H__

#include <gdk/gdk.h>
#include <gtk/gtkwidget.h>

#include "image.h"

#define TYPE_IMAGE_VIEWER                  (image_viewer_get_type ())
#define IMAGE_VIEWER(obj)                  (GTK_CHECK_CAST ((obj), TYPE_IMAGE_VIEWER, ImageViewer))
#define IMAGE_VIEWER_CLASS(klass)          (GTK_CHECK_CLASS_CAST ((klass), TYPE_IMAGE_VIEWER, ImageViewerClass))
#define IS_IMAGE_VIEWER(obj)               (GTK_CHECK_TYPE ((obj), TYPE_IMAGE_VIEWER))
#define IS_IMAGE_VIEWER_CLASS(klass)       (GTK_CHECK_CLASS_TYPE ((klass), TYPE_IMAGE_VIEWER))

typedef struct _ImageViewer ImageViewer;
typedef struct _ImageViewerClass ImageViewerClass;

struct _ImageViewer {
    GtkWidget widget;

    Image *image;
    Image *new_image;
    float scale_factor;

    gint drawing;
    gint need_redraw;

    ImageProgressFunc func;
    gpointer data;
};

struct _ImageViewerClass {
    GtkWidgetClass parent_class;
};


GtkType             image_viewer_get_type();

GtkWidget*          image_viewer_new( Image *image, ImageProgressFunc func, gpointer data);
void                image_viewer_set_image( ImageViewer *viewer, Image *image);
float               image_viewer_get_scale_factor( ImageViewer *viewer);
void                image_viewer_set_scale_factor( ImageViewer *viewer, float scale_factor);


#endif /* __IMAGE_VIEWER_H__ */
