/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef __PROFILE_H__
#define __PROFILE_H__

#include <sys/time.h>
#include <unistd.h>


#define PROF_FUNC_DECLARE( n) struct timeval _profiles[ n][2] = { 0}
#define PROF_FUNC_START( n) gettimeofday( &_profiles[ n - 1][0], NULL)
#define PROF_FUNC_END( n) gettimeofday( &_profiles[ n - 1][1], NULL)
#define PROF_FUNC_VALUE_SEC( n) \
            PROF_ELAPSED_SEC( _profiles[ n - 1][0], _profiles[ n - 1][1]) 
#define PROF_FUNC_VALUE_USEC( n) \
           PROF_ELAPSED_USEC( _profiles[ n - 1][0], _profiles[ n - 1][1]) 

#define PROF_ELAPSED_SEC( start, end) \
	    end.tv_sec - start.tv_sec + (end.tv_usec - start.tv_usec) / 1000000
#define PROF_ELAPSED_USEC( start, end) \
	    1000000 * (end.tv_sec - start.tv_sec) + end.tv_usec - start.tv_usec
#define PROF_ELAPSED_MSEC( start, end) \
	    1000 * (end.tv_sec - start.tv_sec) + (end.tv_usec - start.tv_usec) / 1000


#endif /* __PROFILE_H__ */
